## plymouth 0.9.5.1

=== debian/changelog ===
plymouth (0.9.5.1-deepin3) unstable; urgency=medium

  * Do not show Debian watermark.
  * Debian's Plymouth hook installs a Debian watermark on the right side of
    the display if:
    * The user has installed desktop-base (a very common practice for Debian
      desktop systems, but not for deepin/UOS, as we do not use tasksel).
    * The user has chosen a two-step-type Plymouth theme (which deepin-logo is
      one of that type).

 -- Mingcong Bai <baimingcong@uniontech.com>  Mon, 29 Jul 2024 14:44:07 +0800

plymouth (0.9.5.1-deepin2) unstable; urgency=medium

  * fix: systemd files move to /usr, from patch
    https://salsa.debian.org/debian/plymouth/-/commit/b86e0f164a94e3f538c27555a577571abecf4818 and https://salsa.debian.org/debian/plymouth/-/commit/ba1c095e8c1e2d7ba628673c2318233db4c965d2

 -- hudeng <hudeng@deepin.org>  Mon, 20 May 2024 14:58:57 +0800

plymouth (0.9.5.1-deepin) stable; urgency=medium

  * ['Rebuild  against by  current gcc 11.2']

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 10 Aug 2022 21:53:56 +0800
