=== debian/control ===
Source: plymouth
Section: misc
Priority: optional
Maintainer: Deepin Developer <deepin-dev@deepin.org>
Uploaders: Deepin Packages Builder <packages@deepin.org>
Build-Depends: debhelper-compat (= 13),
               docbook-xsl,
               libdrm-dev,
               libgtk-3-dev (>= 3.14.0),
               libpango1.0-dev,
               libpng-dev,
               libudev-dev,
               pkg-config,
               systemd,
               xsltproc
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://www.freedesktop.org/wiki/Software/Plymouth
#Vcs-Git
#Vcs-Browser

Package: plymouth
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: init-system-helpers (>= 1.18),
         initramfs-tools | dracut,
         lsb-base (>= 3.0-6),
         systemd (>= 232-8~),
         udev (>= 232-8~),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: console-common
Breaks: mawk (<< 1.3.4),
        plymouth-drm (<< 0.9.0-6~),
        plymouth-themes (<< 0.9.0-8~)
Replaces: plymouth-drm (<< 0.9.0-6~), plymouth-themes (<< 0.9.0-8~)
Suggests: desktop-base, plymouth-themes
Description: boot animation, logger and I/O multiplexer
 Plymouth provides a boot-time I/O multiplexing framework - the most obvious
 use for which is to provide an attractive graphical animation in place of
 the text messages that normally get shown during boot. (The messages are
 instead redirected to a logfile for later viewing.) However, in event-driven
 boot systems Plymouth can also usefully handle user interaction such as
 password prompts for encrypted file systems.
 .
 This package provides the basic framework, enabling a text-mode animation.

Package: plymouth-x11
Architecture: linux-any
Depends: plymouth (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Recommends: plymouth-themes
Suggests: gdm
Description: boot animation, logger and I/O multiplexer - X11 renderer
 Plymouth provides a boot-time I/O multiplexing framework - the most obvious
 use for which is to provide an attractive graphical animation in place of
 the text messages that normally get shown during boot. (The messages are
 instead redirected to a logfile for later viewing.) However, in event-driven
 boot systems Plymouth can also usefully handle user interaction such as
 password prompts for encrypted file systems.
 .
 This package contains the X11 renderer for a graphical boot splash.

Package: libplymouth5
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: plymouth (<< 0.9.2-1~)
Replaces: plymouth (<< 0.9.2-1~)
Description: graphical boot animation and logger - shared libraries
 Plymouth is an application that runs very early in the boot process
 (even before the root filesystem is mounted!) that provides a graphical
 boot animation while the boot process happens in the background.
 .
 This package contains the shared libraries.

Package: libplymouth-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libplymouth5 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: plymouth-dev (<< 0.9.2-1~)
Replaces: plymouth-dev (<< 0.9.2-1~)
Description: graphical boot animation and logger - development files
 Plymouth is an application that runs very early in the boot process
 (even before the root filesystem is mounted!) that provides a graphical
 boot animation while the boot process happens in the background.
 .
 This package contains the development files to build Plymouth plugins.

Package: plymouth-label
Architecture: linux-any
Depends: plymouth (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: plymouth-themes (<< 0.9.2-5~)
Replaces: plymouth-themes (<< 0.9.2-5~)
Description: boot animation, logger and I/O multiplexer - label control
 Plymouth provides a boot-time I/O multiplexing framework - the most obvious
 use for which is to provide an attractive graphical animation in place of
 the text messages that normally get shown during boot. (The messages are
 instead redirected to a logfile for later viewing.) However, in event-driven
 boot systems Plymouth can also usefully handle user interaction such as
 password prompts for encrypted file systems.
 .
 This package contains the label control, used by various graphical themes
 to render text.

Package: plymouth-themes
Architecture: linux-any
Depends: fontconfig,
         fontconfig-config,
         fonts-cantarell,
         fonts-dejavu-core,
         plymouth (= ${binary:Version}),
         plymouth-label (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: plymouth-themes-all,
           plymouth-themes-fade-in,
           plymouth-themes-glow,
           plymouth-themes-script,
           plymouth-themes-solar,
           plymouth-themes-spinfinity,
           plymouth-themes-spinner
Replaces: plymouth-drm (<< 0.9.0-6~),
          plymouth-themes-all,
          plymouth-themes-fade-in,
          plymouth-themes-glow,
          plymouth-themes-script,
          plymouth-themes-solar,
          plymouth-themes-spinfinity,
          plymouth-themes-spinner
Provides: plymouth-theme,
          plymouth-themes-all,
          plymouth-themes-fade-in,
          plymouth-themes-glow,
          plymouth-themes-script,
          plymouth-themes-solar,
          plymouth-themes-spinfinity,
          plymouth-themes-spinner
Breaks: libfontconfig1 (<< 2.13.0-5~), plymouth-drm (<< 0.9.0-6~)
Description: boot animation, logger and I/O multiplexer - themes
 Plymouth provides a boot-time I/O multiplexing framework - the most obvious
 use for which is to provide an attractive graphical animation in place of
 the text messages that normally get shown during boot. (The messages are
 instead redirected to a logfile for later viewing.) However, in event-driven
 boot systems Plymouth can also usefully handle user interaction such as
 password prompts for encrypted file systems.
 .
 This package provides the following themes:
 .
  * fade-in: features a centered logo that fades in and out while stars twinkle
    around the logo during system boot up.
  * glow: features a pie chart as progress indicator.
  * script: features a simple base theme.
  * solar: features a blue flamed sun with animated solar flares.
  * spinfinity: features a centered logo and animated spinner that spins in the
    shape of an infinity sign.
  * spinner: features a simple theme with a small spinner on a dark background.
