## plymouth 22.02.122

=== debian/changelog ===
plymouth (22.02.122-3ubuntu2) lunar; urgency=medium

  * debian/local/plymouth.hook:
    - update the initramfs hook for the new fonts-ubuntu, fixes missing
      chars on the disk encryption screen 

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 23 Mar 2023 22:17:23 +0100

plymouth (22.02.122-3ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Revert needless changes in 0005-cmdline.patch back to Debian's version.
    - Refreshed Ubuntu patches:
      + initramfsless-boot.patch
      + labelft-0001-Add-label-ft-plugin.patch
      + misc-changes.patch
      + ubuntu-logo.patch
      + ubuntu-spinner-fsck.patch
      + ubuntu-text.patch
    - As lsb-base became a transitional package in lsb 11.3, pulling in
      sysvinit-utils, directly depend on the latter.

 -- Amin Bandali <bandali@canonical.com>  Tue, 21 Feb 2023 09:51:38 -0500

plymouth (22.02.122-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing, which is now
      the default.
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Repository.

  [ Laurent Bigonville ]
  * debian/patches/0003-default-theme.patch: Switch to emerald theme by
    default (Closes: #1029984)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 01 Feb 2023 18:20:20 +0100

plymouth (22.02.122-2) unstable; urgency=medium

  * d/p: Patch the configure.ac to avoid embedding the date in the version.
    Thanks to Holger Levsen <holger@layer-acht.org> (Closes: #1017372)
  * debian/plymouth.lintian-overrides: Fix mismatched-override

 -- Laurent Bigonville <bigon@debian.org>  Sun, 25 Sep 2022 10:22:04 +0200

plymouth (22.02.122-1ubuntu3) kinetic; urgency=medium

  * debian/rules:
    - restore /usr/share/plymouth/ubuntu-logo.png, it's used by other
      components like gnome-shell (lp: #1988033)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 29 Aug 2022 12:03:49 +0200

plymouth (22.02.122-1ubuntu2) kinetic; urgency=medium

  * Remove the deprecated ubuntu-logo theme as discussed on
    https://lists.ubuntu.com/archives/ubuntu-devel/2022-March/041939.html
    plymouth-theme-spinner should be used instead

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 26 Aug 2022 15:28:37 +0200

plymouth (22.02.122-1ubuntu1) kinetic; urgency=medium

  * New upstream release 22.02.122:
    - Fixes with BGRT theme
    - Add --ignore-serial-consoles to plymouthd
    - Add ThemeDir config option
    - Add timeout and error for plymouth --ping
    - Honor rotated screens and video= on kernel command line
    - Support monitor hotplug change events
    - Fixes for text theme
    - Rework shutdown handling to provide cleaner take down
    - Misc other fixes
    - Translations
  * Merge Debian release 22.02.122-1 (LP: #1987263)
  * Revert needless changes in 0005-cmdline.patch back to Debian's version.
  * Refreshed Ubuntu patches:
    - initramfsless-boot.patch
    - labelft-0001-Add-label-ft-plugin.patch
    - misc-changes.patch
    - ubuntu-logo.patch
    - ubuntu-spinner-fsck.patch
    - ubuntu-text.patch

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Fri, 19 Aug 2022 14:46:56 +0800

plymouth (0.9.5+git20211018-1ubuntu4) kinetic; urgency=medium

  * Add patches to build the label-ft plugin, an alternative to the label
    plugin that has less dependencies (LP: #1976352).
  * Apply labelft-0004-label-ft-fix-alignment.patch to fix alignment
    issue with the label-ft control plugin.

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Mon, 11 Jul 2022 11:07:22 +0100
