=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: plymouth
 Section: misc
 Priority: optional
-Maintainer: Deepin Developer <deepin-dev@deepin.org>
-Uploaders: Deepin Packages Builder <packages@deepin.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laurent Bigonville <bigon@debian.org>
+Uploaders: Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper-compat (= 13),
                docbook-xsl,
                libdrm-dev,
@@ -13,28 +14,26 @@
                pkg-config,
                systemd,
                xsltproc
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Homepage: http://www.freedesktop.org/wiki/Software/Plymouth
-#Vcs-Git
-#Vcs-Browser
+Homepage: https://www.freedesktop.org/wiki/Software/Plymouth
+Vcs-Git: https://salsa.debian.org/ubuntu-dev-team/plymouth.git
+Vcs-Browser: https://salsa.debian.org/ubuntu-dev-team/plymouth
 
 Package: plymouth
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: init-system-helpers (>= 1.18),
-         initramfs-tools | dracut,
-         lsb-base (>= 3.0-6),
+         sysvinit-utils (>= 3.05-4),
          systemd (>= 232-8~),
          udev (>= 232-8~),
          ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: console-common
-Breaks: mawk (<< 1.3.4),
-        plymouth-drm (<< 0.9.0-6~),
-        plymouth-themes (<< 0.9.0-8~)
+Breaks: plymouth-drm (<< 0.9.0-6~), plymouth-themes (<< 0.9.0-8~)
 Replaces: plymouth-drm (<< 0.9.0-6~), plymouth-themes (<< 0.9.0-8~)
 Suggests: desktop-base, plymouth-themes
+Recommends: plymouth-theme-ubuntu-text | plymouth-theme
 Description: boot animation, logger and I/O multiplexer
  Plymouth provides a boot-time I/O multiplexing framework - the most obvious
  use for which is to provide an attractive graphical animation in place of
@@ -48,7 +47,7 @@
 Package: plymouth-x11
 Architecture: linux-any
 Depends: plymouth (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Recommends: plymouth-themes
+Recommends: plymouth-theme-spinner | plymouth-theme
 Suggests: gdm
 Description: boot animation, logger and I/O multiplexer - X11 renderer
  Plymouth provides a boot-time I/O multiplexing framework - the most obvious
@@ -91,7 +90,9 @@
 
 Package: plymouth-label
 Architecture: linux-any
-Depends: plymouth (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: plymouth (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends},
+         fonts-ubuntu,
+         fontconfig-config,
 Breaks: plymouth-themes (<< 0.9.2-5~)
 Replaces: plymouth-themes (<< 0.9.2-5~)
 Description: boot animation, logger and I/O multiplexer - label control
@@ -105,14 +106,27 @@
  This package contains the label control, used by various graphical themes
  to render text.
 
+Package: plymouth-label-ft
+Architecture: linux-any
+Depends: plymouth (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends},
+         libfreetype6,
+Description: boot animation, logger and I/O multiplexer - label-ft control
+ Plymouth provides a boot-time I/O multiplexing framework - the most obvious
+ use for which is to provide an attractive graphical animation in place of
+ the text messages that normally get shown during boot. (The messages are
+ instead redirected to a logfile for later viewing.) However, in event-driven
+ boot systems Plymouth can also usefully handle user interaction such as
+ password prompts for encrypted file systems.
+ .
+ This package contains the label-ft control, used by various graphical themes
+ to render text. This package pulls less dependencies than the label control,
+ as is based on libfreetype instead of pango.
+
 Package: plymouth-themes
 Architecture: linux-any
-Depends: fontconfig,
-         fontconfig-config,
-         fonts-cantarell,
-         fonts-dejavu-core,
-         plymouth (= ${binary:Version}),
+Depends: plymouth (= ${binary:Version}),
          plymouth-label (= ${binary:Version}),
+         plymouth-theme-spinner (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: plymouth-themes-all,
@@ -156,4 +170,43 @@
   * solar: features a blue flamed sun with animated solar flares.
   * spinfinity: features a centered logo and animated spinner that spins in the
     shape of an infinity sign.
-  * spinner: features a simple theme with a small spinner on a dark background.
+
+Package: plymouth-theme-ubuntu-text
+Architecture: linux-any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ plymouth (= ${binary:Version}),
+ lsb-release,
+Provides: plymouth-theme,
+Description: boot animation, logger and I/O multiplexer - ubuntu text theme
+ Plymouth provides a boot-time I/O multiplexing framework - the most obvious
+ use for which is to provide an attractive graphical animation in place of
+ the text messages that normally get shown during boot. (The messages are
+ instead redirected to a logfile for later viewing.) However, in event-driven
+ boot systems Plymouth can also usefully handle user interaction such as
+ password prompts for encrypted file systems.
+ .
+ This package contains the default ubuntu-text text theme used when no
+ support for a graphical theme is found on your system.
+ 
+Package: plymouth-theme-spinner
+Architecture: linux-any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ plymouth (= ${binary:Version}),
+ plymouth-label (= ${binary:Version}),
+ lsb-release,
+Breaks: plymouth-themes (<< 0.9.4git20190712-0ubuntu1~)
+Replaces: plymouth-themes (<< 0.9.4git20190712-0ubuntu1~)
+Provides: plymouth-theme,
+Description: boot animation, logger and I/O multiplexer - spinner theme
+ Plymouth provides a boot-time I/O multiplexing framework - the most obvious
+ use for which is to provide an attractive graphical animation in place of
+ the text messages that normally get shown during boot. (The messages are
+ instead redirected to a logfile for later viewing.) However, in event-driven
+ boot systems Plymouth can also usefully handle user interaction such as
+ password prompts for encrypted file systems.
+ .
+ This package contains the spinner theme.
