## plymouth 23.360.11

=== debian/changelog ===
plymouth (23.360.11-0ubuntu2) noble; urgency=medium

  * Removed systemd workaround and fix the build with the newer revision

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 15 Jan 2024 16:33:10 +0100

plymouth (23.360.11-0ubuntu1) noble; urgency=medium

  * New upstream version 23.360.11
  * Refresh patches
  * Build using meson, autotools is not supported anymore
  * Do not pass SYSTEMD_ASK_PASSWORD_AGENT: now detected by upstream
  * Add new build dep libevdev
  * label-ft is now built from upstream as label-freetype.so
  * label.so is now label-pango.so
  * plymouth.docs: update upstream files
  * Update libplymouth5.symbols
  * spinfinity: do not use meson symlink
  * Fix systemdsystemunitdir to add missing /usr prefix
  * Cherry-pick upstream patch to prevent xkb_keymap crash

 -- Agathe Porte <agathe.porte@canonical.com>  Mon, 15 Jan 2024 15:28:09 +0100

plymouth (22.02.122-4ubuntu2) noble; urgency=medium

  * Fix various postinst script elements which would cause issues on an
    initramfsless boot.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 23 Dec 2023 14:39:29 -0600

plymouth (22.02.122-4ubuntu1) noble; urgency=low

  * Merge from Debian Unstable. Remaining changes:
    - Refreshed Ubuntu patches:
      + initramfsless-boot.patch
      + labelft-0001-Add-label-ft-plugin.patch
      + misc-changes.patch
      + ubuntu-logo.patch
      + ubuntu-spinner-fsck.patch
      + ubuntu-text.patch
    - As lsb-base became a transitional package in lsb 11.3, pulling in
      sysvinit-utils, directly depend on the latter.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 23 Dec 2023 09:32:06 -0600

plymouth (22.02.122-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTBFS when systemdsystemunitdir changes in systemd.pc. (Closes:
    #1052310)

  [ Laurent Bigonville ]
  * debian/control: Add elogind as an alternative to systemd as elogind
    package ships the necessesary udev rules files (Closes: #1035076)
  * debian/local/plymouth.hook: Do not copy the security contexts when
    building the initramfs (Closes: #1050545)
  * Update initramfs for all kernel versions when installing or removing
    plymouth (Closes: #916792)
  * debian/control: Drop lsb-base, to please lintian
  * debian/plymouth.links: Fix .service symlink path after move to /usr
  * debian/rules: Move LSB init-functions file to /usr

 -- Laurent Bigonville <bigon@debian.org>  Sun, 10 Dec 2023 12:00:10 +0100

plymouth (22.02.122-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * New upstream release, upstream will now release more frequent snapshot
    releases

  [ Alper Nebi Yasak ]
  * debian/local/plymouth.hook: Apply module exclusions for MODULES=dep as well
  * debian/local/plymouth.hook: Add panfrost to excluded DRM modules (Closes:
    #1007730)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 17 Mar 2022 18:09:27 +0100
