=== debian/control ===
--- 
+++ 
@@ -7,10 +7,12 @@
 Build-Depends: debhelper-compat (= 13),
                docbook-xsl,
                libdrm-dev,
+               libevdev-dev,
                libgtk-3-dev (>= 3.14.0),
                libpango1.0-dev,
                libpng-dev,
                libudev-dev,
+               meson,
                pkg-config,
                systemd,
                xsltproc
@@ -25,7 +27,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: init-system-helpers (>= 1.18),
          sysvinit-utils (>= 3.05-4),
-         systemd (>= 232-8~),
+         systemd (>= 232-8~) | elogind,
          udev (>= 232-8~),
          ${misc:Depends},
          ${shlibs:Depends}
