## plymouth 24.004.60

=== debian/changelog ===
plymouth (24.004.60-5) unstable; urgency=medium

  * d/l/plymouth.hook: Avoid installing a font already present in the initramfs
    (Closes: #1106115)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 27 May 2025 10:45:42 +0200

plymouth (24.004.60-4) unstable; urgency=medium

  * d/l/plymouth.hook: Do not explicitly install DejaVu fonts.
    Rely on fontconfig to tell us which fonts to install in the initramfs.
    This will also avoid installing duplicate fonts (Closes: #1105224)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 14 May 2025 11:04:21 +0200

plymouth (24.004.60-3) unstable; urgency=medium

  * d/p/0003-default-theme.patch: Use ceratopsian theme
  * d/l/plymouth.hook: Install Cantarell variable font file if available
  * Fix fallback not working when fc-match isn't available (Closes: #1093517)
  * d/local/plymouth.hook: Install the default/fallback fonts

 -- Laurent Bigonville <bigon@debian.org>  Tue, 13 May 2025 10:30:17 +0200

plymouth (24.004.60-2) unstable; urgency=medium

  * Team upload
  * Replace systemd Build-Depends with systemd-dev for systemd.pc
    (Closes: #1060564)
  * Replace Build-Depends on obsolete pkg-config with pkgconf
  * ply-boot-splash: Set unbuffered input when creating a text display.
    Patch cherry-picked from upstream Git. (Closes: #1061592)

 -- Michael Biebl <biebl@debian.org>  Wed, 17 Jul 2024 18:39:45 +0200

plymouth (24.004.60-1) unstable; urgency=medium

  * New upstream release (Closes: #1059364)
  * debian/gbp.conf: Set upstream-vcs-tag
  * d/p/configure.ac-Avoid-embedding-the-date-in-the-version.patch: Dropped,
    autotools are gone
  * Add meson support
  * debian/control: Add new build-dependencies
  * debian/plymouth-label.install: Install split label plugins
  * debian/plymouth.docs: Fix documentation file names
  * debian/control: Mark udev as linux-any
  * debian/rules: Workaround a but in meson, it cannot create a symlink if the
    target doesn't exist
  * debian/libplymouth5.symbols: Add newly exported symbols
  * debian/local/plymouth.hook: Continue to use the pango label module for now
  * debian/patches/fallback-etc-default-keyboard.patch: Refreshed

 -- Laurent Bigonville <bigon@debian.org>  Thu, 11 Jan 2024 21:17:19 +0100
