## plymouth 24.004.60+git20250714.287ae4de

=== debian/changelog ===
plymouth (24.004.60+git20250714.287ae4de-0ubuntu3) questing; urgency=medium

  [ Vincent Renzo Quilon ]
  * debian/local/spinner: Updated spinner animation frames to align with
    YaruCircularProgressIndicator (LP: #2115846)
    - modified animation-0001.png through animation-0036 with updated style.
    - modified throbber-0001.png through throbber-0030.png with updated style.
    - extended 30 frames throbber files to 60 frames.

  [ Nick Rosbrook ]
  * d/source/include-binaries: include new theme image files

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 19 Aug 2025 08:19:56 -0400

plymouth (24.004.60+git20250714.287ae4de-0ubuntu2) questing; urgency=medium

  * d/p: Add proposed patch to skip SimpleDRM with 640x480 resolution too
  * d/rules, d/install: Restore plymouth config files
  * d/p/ubuntu-default-devicetimeout.patch: Drop unnecessary patch
  * d/p/enable-usesimpledrm.patch: Show splash screen as soon as possible
    (LP: #1869655)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 18 Aug 2025 22:28:07 +0200

plymouth (24.004.60+git20250714.287ae4de-0ubuntu1) questing; urgency=medium

  * New git snapshot
  * d/p: Refresh patches
  * d/p: Drop patches applied upstream

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 04 Aug 2025 09:55:03 +0200

plymouth (24.004.60-2ubuntu10) questing; urgency=medium

  [ Daniel van Vugt ]
  * debian/control: Update Vcs URLs
  * debian/patches: Refresh using gbp pq

  [ Alessandro Astone ]
  * Fix binding fsck.progress socket during early boot (LP: #2114116)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 22 Jul 2025 09:49:41 +0200

plymouth (24.004.60-2ubuntu9) questing; urgency=medium

  * d/p/ubuntu-spinner-fsck.patch: unlink() fsck progress socket before bind()
    (LP: #2115286)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 24 Jun 2025 16:33:28 -0400

plymouth (24.004.60-2ubuntu8) questing; urgency=medium

  * d/p/ubuntu-spinner-fsck.patch: listen to /run/systemd/fsck.progress
    (LP: #2109800)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 30 May 2025 09:26:10 -0400

plymouth (24.004.60-2ubuntu7) plucky; urgency=medium

  * Add ply-device-manager-Revert-Fall-back-to-text-plugin-if-no-.patch to fix
    a race condition that makes the graphical splash screen never appear when
    DRM drivers are installed in initrd (LP: #2105377).

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 02 Apr 2025 12:52:11 +0200

plymouth (24.004.60-2ubuntu6) plucky; urgency=medium

  * Add ply-terminal-Fix-crash-on-vt-less-kernels-when-checking-t.patch and
    renderers-Only-call-ply_terminal_set_unbuffered_input-whe.patch to fix
    crashes with SIGSEGV in ply_terminal_set_disabled_input() (LP: #2103533)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 28 Mar 2025 10:44:59 +0100

plymouth (24.004.60-2ubuntu5) plucky; urgency=medium

  * Add label-freetype-fix-fallback-not-working-when-fc-matc.patch to
    fix missing fonts resulting in missing text (LP: #2096806)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 20 Feb 2025 10:35:28 +0100

plymouth (24.004.60-2ubuntu4) plucky; urgency=medium

  * In all postinst scripts calling update-initramfs, use the generic hook
    instead, for Dracut support (Closes: #1088152).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 24 Nov 2024 02:11:06 -0600

plymouth (24.004.60-2ubuntu3) plucky; urgency=medium

  * Ensure the initrd includes all necessary files for a graphical theme
    (LP: #1596220).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 21 Nov 2024 22:13:38 -0600

plymouth (24.004.60-2ubuntu2) plucky; urgency=medium

  * Do not use plymouth-set-default-theme in plymouth-populate-initrd.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 21 Nov 2024 01:42:57 -0600

plymouth (24.004.60-2ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - Refreshed Ubuntu patches:
      + initramfsless-boot.patch
      + labelft-0001-Add-label-ft-plugin.patch
      + misc-changes.patch
      + ubuntu-logo.patch
      + ubuntu-spinner-fsck.patch
      + ubuntu-text.patch
    - As lsb-base became a transitional package in lsb 11.3, pulling in
      sysvinit-utils, directly depend on the latter.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 21 Nov 2024 01:34:13 -0600

plymouth (24.004.60-1ubuntu11) plucky; urgency=medium

  * debian/local/ubuntu-logo.png:
    - Switch back to the normal Ubuntu logo instead of the special 20 years
      anniversary variant we used for Oracular

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 07 Nov 2024 16:01:08 +0100

plymouth (24.004.60-1ubuntu10) oracular; urgency=medium

  * debian/local/ubuntu-logo.png:
    - new revision from design similar to the base-files one
      (lp: #2079779)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 06 Sep 2024 16:43:29 +0200

plymouth (24.004.60-1ubuntu9) oracular; urgency=medium

  * debian/local/ubuntu-logo.png: update the ubuntu log for oracular

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 05 Sep 2024 10:09:53 +0200

plymouth (24.004.60-1ubuntu8) oracular; urgency=medium

  * debian/source_plymouth.apport:
    - don't try to collect /var/log/boot.log, the normal users don't have
      read access and that log isn't really used nowadays (lp: #2041737)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 04 Jul 2024 14:41:03 +0200

plymouth (24.004.60-1ubuntu7) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:14:46 +0000

plymouth (24.004.60-1ubuntu6) noble; urgency=medium

  * Cherry-pick upstream fixes for consistent default scale selection
    that matches what Mutter chooses on the login screen (LP: #2054769)
  * plymouth.hook: Stop automatically re-installing DRM kernel modules in
    initrd. initramfs-tools already does this for us in hooks/framebuffer and
    should be the authority for which drivers to include.
  * Install a /usr/share/initramfs-tools/conf-hooks.d/plymouth with
